
/**
 *This models a ball dropping from the sky
 * 
 * @author J Borland
 * @version 12-6-11
 */
import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
public class DroppingBall
{
    int ballX, ballY, ballSize;
    double speed;
    String  direction;
    Color ballColor;

    public DroppingBall()
    {
        ballSize=20;
        ballX=(int)(Math.random()*500-ballSize);
        ballY=20;  
        speed=1;
        direction="down";
        setRandomColor();
    }

    public DroppingBall(Color specifyColor)
    {
        ballSize=20;
        ballX=(int)(Math.random()*500-ballSize);
        ballY=20;  
        speed=1;
        direction="down";
        ballColor=specifyColor;
    }

    public DroppingBall(int theBallX)
    {
        ballSize=20;
        ballX=theBallX;
        ballY=20;
        speed=1;
        direction="down";
        setRandomColor();
    }    

    public DroppingBall(int theBallX,int theBallSize)
    {
        ballSize=theBallSize;
        ballX=theBallX;
        ballY=20;
        speed=1;
        direction="down";
        setRandomColor();
    }  

    public void setRandomColor()
    {
        int red= (int)(256 * Math.random());
        int green= (int)(256 * Math.random());
        int blue= (int)(256 * Math.random());
        ballColor=new Color(red,green,blue);
    }

    public void move ()
    {
        if (direction.equals("down"))
        {
            ballY=ballY+(int)speed;
            speed=speed+.1;
        }
        if (direction.equals("up"))
        {
            ballY=ballY-(int)speed; 
            speed=speed-.15;
        }
        if (ballY>=500-ballSize)
            direction="up";
        if (speed>-.2 && speed<.2)
            direction="down";            
    }

    public void drawBall(Graphics g)
    {
        g.setColor(ballColor);
        g.fillOval(ballX,ballY,ballSize,ballSize);
    }
}
